RuleBasedCollator
Date: 2016-06-24

java.text

## Class RuleBasedCollator

- java.lang.Object
- - java.text.Collator
  - - java.text.RuleBasedCollator

- All Implemented Interfaces:
    Cloneable, Comparator

      public class RuleBasedCollator
      extends Collator

- - ### Field Summary

    - ### Fields inherited from class java.text.Collator

      `CANONICAL_DECOMPOSITION, FULL_DECOMPOSITION, IDENTICAL, NO_DECOMPOSITION, PRIMARY, SECONDARY, TERTIARY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleBasedCollator(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(String var0, String var1)`
    `CollationElementIterator` | `getCollationElementIterator(CharacterIterator var0)`
    `CollationElementIterator` | `getCollationElementIterator(String var0)`
    `CollationKey` | `getCollationKey(String var0)`
    `String` | `getRules()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.text.Collator

      `clone, compare, equals, getAvailableLocales, getDecomposition, getInstance, getInstance, getStrength, setDecomposition, setStrength`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### RuleBasedCollator

          public RuleBasedCollator(String var0)
                            throws ParseException

      Throws:
        `ParseException`

  - ### Method Detail

    - #### compare

          public int compare(String var0,
                    String var1)

      Specified by:
        `compare` in class `Collator`

    - #### getCollationElementIterator

          public CollationElementIterator getCollationElementIterator(String var0)

    - #### getCollationElementIterator

          public CollationElementIterator getCollationElementIterator(CharacterIterator var0)

    - #### getCollationKey

          public CollationKey getCollationKey(String var0)

      Specified by:
        `getCollationKey` in class `Collator`

    - #### getRules

          public String getRules()

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Collator`